def compiled n
  if n < 2
    1
  else
    compiled(n-1) + compiled(n-2)
  end
end

__END__

'abc' + 'cde'

__END__
i=0
while i<100000000
  i+=1
end

__END__
i=0
while i<10000
  i+=1
end

__END__
def compiled_fib n
  if n < 2
    1
  else
    compiled_fib(n-1) + compiled_fib(n-2)
  end
end
